<?php
/**
 * Model Configuracao
 * Localização: /app/models/Configuracao.php
 */
require_once APP_PATH . '/core/Model.php';

class Configuracao extends Model
{
    protected string $table = 'configuracoes';

    public function obter(): array
    {
        $r = $this->db->query("SELECT * FROM configuracoes WHERE id = 1 LIMIT 1")->fetch();
        return $r ?: [];
    }

    public function salvar(array $dados): bool
    {
        if (!$this->obter()) {
            $dados['id'] = 1;
            $this->create($dados);
            return true;
        }
        return $this->update(1, $dados);
    }
}
